/*
 * tmos - log2.c
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#include <tmos/kernel.h>
#include <tmos/log2.h>

unsigned char __fls_u32(u32 x)
{
	if (x & 0xffff0000)
		return __fls_u16(x >> 16) + 16;
	return __fls_u16((u16) x);
}
