/*
 * tmos - ipage.h
 *
 * Kernel paged memory allocator
 *
 * Copyright (C) 2013  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __TMOS_IPAGE_H
#define __TMOS_IPAGE_H

#include <asm/system.h>

#define IPAGE_SIZE	32

void __kernel *ipage_alloc(void);
void ipage_free(void __kernel *p);

#endif
